curl --request POST \
--url https://api.nuvia.ai/v1/contacts/identity-check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"linkedin_identifier": "<string>",
"phone_number": "<string>",
"country_code": "<string>",
"exclude_contact_id": "<string>"
}
'import requests
url = "https://api.nuvia.ai/v1/contacts/identity-check"
payload = {
"email": "<string>",
"linkedin_identifier": "<string>",
"phone_number": "<string>",
"country_code": "<string>",
"exclude_contact_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
linkedin_identifier: '<string>',
phone_number: '<string>',
country_code: '<string>',
exclude_contact_id: '<string>'
})
};
fetch('https://api.nuvia.ai/v1/contacts/identity-check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nuvia.ai/v1/contacts/identity-check",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => '<string>',
'linkedin_identifier' => '<string>',
'phone_number' => '<string>',
'country_code' => '<string>',
'exclude_contact_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nuvia.ai/v1/contacts/identity-check"
payload := strings.NewReader("{\n \"email\": \"<string>\",\n \"linkedin_identifier\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"country_code\": \"<string>\",\n \"exclude_contact_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nuvia.ai/v1/contacts/identity-check")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"<string>\",\n \"linkedin_identifier\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"country_code\": \"<string>\",\n \"exclude_contact_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nuvia.ai/v1/contacts/identity-check")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"<string>\",\n \"linkedin_identifier\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"country_code\": \"<string>\",\n \"exclude_contact_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "new",
"matched_by": "email",
"matches_count": 123,
"contact": {
"_id": "<string>",
"name": "<string>",
"email": "<string>",
"phone_number": "<string>",
"country_code": "<string>",
"linkedin_identifier": "<string>"
},
"conflicts": [
{
"field": "email",
"contact": {
"_id": "<string>",
"name": "<string>",
"email": "<string>",
"phone_number": "<string>",
"country_code": "<string>",
"linkedin_identifier": "<string>"
}
}
]
}Verificar identificadores de contacto
Solo lectura. Indica qué haría el POST /v1/contacts con esos identificadores, para que el formulario avise antes de guardar.
- Orden de búsqueda: correo electrónico, LinkedIn y teléfono.
new: ningún contacto de la empresa tiene los identificadores.existing: el contacto encontactse reutilizaría;matches_countindica cuántos contactos coincidieron por la clavematched_by.conflict: identificadores distintos apuntan a contactos distintos;conflictsdevuelve cada uno.exclude_contact_id: ignora ese contacto (la edición envía el propio contacto).
curl --request POST \
--url https://api.nuvia.ai/v1/contacts/identity-check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"linkedin_identifier": "<string>",
"phone_number": "<string>",
"country_code": "<string>",
"exclude_contact_id": "<string>"
}
'import requests
url = "https://api.nuvia.ai/v1/contacts/identity-check"
payload = {
"email": "<string>",
"linkedin_identifier": "<string>",
"phone_number": "<string>",
"country_code": "<string>",
"exclude_contact_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
linkedin_identifier: '<string>',
phone_number: '<string>',
country_code: '<string>',
exclude_contact_id: '<string>'
})
};
fetch('https://api.nuvia.ai/v1/contacts/identity-check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nuvia.ai/v1/contacts/identity-check",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => '<string>',
'linkedin_identifier' => '<string>',
'phone_number' => '<string>',
'country_code' => '<string>',
'exclude_contact_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nuvia.ai/v1/contacts/identity-check"
payload := strings.NewReader("{\n \"email\": \"<string>\",\n \"linkedin_identifier\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"country_code\": \"<string>\",\n \"exclude_contact_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nuvia.ai/v1/contacts/identity-check")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"<string>\",\n \"linkedin_identifier\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"country_code\": \"<string>\",\n \"exclude_contact_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nuvia.ai/v1/contacts/identity-check")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"<string>\",\n \"linkedin_identifier\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"country_code\": \"<string>\",\n \"exclude_contact_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "new",
"matched_by": "email",
"matches_count": 123,
"contact": {
"_id": "<string>",
"name": "<string>",
"email": "<string>",
"phone_number": "<string>",
"country_code": "<string>",
"linkedin_identifier": "<string>"
},
"conflicts": [
{
"field": "email",
"contact": {
"_id": "<string>",
"name": "<string>",
"email": "<string>",
"phone_number": "<string>",
"country_code": "<string>",
"linkedin_identifier": "<string>"
}
}
]
}Autorizaciones
Token JWT de autenticación
Encabezados
Identificador de la empresa objetivo. Obligatorio solo para API keys globales (type=global). Se ignora para API keys de empresa y usuarios humanos.
Cuerpo
Correo electrónico a verificar. Solo cuenta como identificador si tiene "@".
URL del perfil de LinkedIn o solo el nombre del perfil.
Teléfono (código de área + número, sin el código de país). Un teléfono que no forma un número válido se ignora en la verificación.
Código de país del teléfono. Ejemplo: 55.
Contacto a ignorar en la verificación. La edición envía el propio contacto: un valor igual al suyo no es conflicto.
^[0-9a-fA-F]{24}$Respuesta
Resultado de la verificación
new: ningún contacto tiene los identificadores. existing: el POST reutilizaría contact. conflict: identificadores distintos apuntan a contactos distintos.
new, existing, conflict Identificador que coincidió
email, linkedin, phone Cuántos contactos de la empresa coincidieron por la clave matched_by.
Contacto que se reutilizaría. null en new y conflict.
Show child attributes
Show child attributes
En conflict, el contacto de cada identificador. Vacío en los demás casos.
Show child attributes
Show child attributes